#
# spec file for package pulseaudio (Version 0.9.21)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define drvver 0.9.21

Name:           pulseaudio
Summary:        A Networked Sound Server
Version:        0.9.21
Release:        1.2.1
License:        LGPLv2.1+
Group:          System/Sound Daemons
Source:         %{name}-%{version}.tar.bz2
Source1:        default.pa-for-gdm
Source2:        setup-pulseaudio
Source99:       baselibs.conf
Patch0:         disabled-start.diff
Patch1:         0001-dbus-remove-filter-functions-only-if-they-were-actu.patch
Patch2:         0002-native-fix-request-counter-miscalculations.patch
Patch3:         0003-core-make-sure-we-always-return-a-valid-memblock-in.patch
Patch4:         0004-bluetooth-destruct-stream-only-if-it-is-not-already.patch
Patch5:         0005-bluetooth-don-t-hit-an-assert-if-latency-is-queried.patch
Patch6:         0006-client-detect-forking-in-sample-cache-API-too.patch
Patch7:         0007-client-verify-connection-state-in-pa_stream_connect.patch
Patch8:         0008-udev-don-t-forget-to-unref-devices-we-are-not-inter.patch
Patch9:         0009-once-make-once-related-variables-volatile.patch
Patch10:        0010-bluetooth-fix-invalid-memory-access.patch
Patch11:        0011-log-add-an-easy-way-to-disable-log-rate-limiting.patch
Patch12:        0012-udev-make-sure-we-get-events-only-for-sound-devices.patch
Patch13:        0013-alsa-ignore-volume-changes-from-the-hw-if-we-are-no.patch
Patch14:        0014-cpu-check-for-CMOV-flag-before-using-this-intsructi.patch
Patch15:        0015-alsa-cover-Input-Source-Int-Mic.patch
Patch16:        0016-alsa-Cover-the-Int-Mic-Boost-element.patch
Patch17:        0017-udev-handle-sound-cards-with-both-modem-and-audio-p.patch
Patch18:        0018-udev-rework-modem-detection-a-bit.patch
Patch19:        0019-daemon-first-take-name-on-the-bus-then-return-in-s.patch
Patch20:        0020-alsa-cover-bass-boost-mixer-element.patch
Patch21:        0021-Mark-shared-variables-as-volatile.patch
Patch22:        0022-udev-use-ID_MODEL_ENC-instead-of-ID_MODEL-if-it-is.patch
Patch23:        0023-pacat-allow-configuration-of-latency-in-msec.patch
Patch24:        0024-client-implement-PULSE_LATENCY_MSEC.patch
Patch25:        0025-client-include-dolby-channel-names-in-comments.patch
Patch26:        0026-alsa-add-profile-set-for-M-Audio-FastTrack-Pro-USB.patch
Patch27:        0027-threaded-mainloop-Properly-initialise-m-n_waiting_.patch
Patch28:        0028-udev-Use-SOUND_CLASS-instead-of-SOUND_FORM_FACTOR-w.patch
Patch29:        0029-More-src-pulsecore-cpu-arm.c-FTBFS-fixes.patch
Patch30:        0030-Fix-the-following-warnings-which-now-cause-buildd-f.patch
Patch31:        0031-libpulse-Store-pa_stream-pointers-to-hashmaps-inste.patch
Patch32:        0032-native-rework-handling-of-seeks-that-depend-on-vari.patch
Patch33:        0033-core-Fix-macro-typo-PA_SINK_IS_LINKED-PA_SINK_.patch
Patch34:        0034-alsa-cover-Desktop-Speaker-mixer-elements.patch
Patch35:        0035-alsa-cover-Shared-Mic-Line-in-Analog-Source.patch
Patch36:        0036-alsa-cover-Internal-Mic-elements.patch
Patch37:        0037-alsa-use-default-output-port-names.patch
Patch38:        0038-build-sys-add-gobject-to-build-dependencies.patch
Patch39:        0039-padsp-emulate-dev-audio-too.patch
Patch40:        0040-dbus-first-restart-timer-then-dispatch-it.patch
Patch41:        0041-fdsem-be-more-verbose-when-reading-from-eventfd-fai.patch
Patch42:        0042-pacat-always-fully-fulfill-write-requests.patch
Patch43:        0043-pacmd-store-away-fd-type.patch
Patch44:        0044-pacmd-don-t-enter-busy-loop-when-reading-from-stdin.patch
Patch45:        0045-shm-don-t-complain-about-missing-SHM-segments.patch
Patch46:        0046-vala-fix-definition-of-INVALID_INDEX.patch
Patch47:        0047-vala-fix-definition-of-the-GLib-mainloop-adapter.patch
Patch48:        0048-Add-missing-profile-and-alsa-mixer-paths-to-src-Make.patch
Patch49:        0049-channelmap-Use-Subwoofer-as-pretty-name-for-LFE.patch
Patch50:        0050-vala-fix-wrapping-of-port-setting-calls.patch
Patch51:        0051-proplist-explicitly-mention-a-role-test.patch
Patch52:        0052-stream-restore-be-a-little-bit-more-verbose-why-we.patch
Patch53:        0053-sample-cache-use-the-sample-name-as-unmodified-fall.patch
Patch54:        0054-scache-when-playing-a-sample-from-the-cache-make-su.patch
Patch55:        0055-pacat-pass-buffer_attr-to-recording-streams-too.patch
Patch56:        0056-suspend-on-idle-resume-audio-device-even-for-initia.patch
Patch57:        0057-native-improve-logging-for-buffer_attrs.patch
Patch58:        0058-alsa-util-strip-spaces-from-ALSA-card-pcm-names.patch
Patch59:        0059-alsa-reset-max_rewind-max_request-while-suspending.patch
Patch60:        0060-core-util-introduce-generic-function-pa_strip.patch
Patch61:        0061-esd-simple-use-pa_memblockq_pop_missing.patch
Patch62:        0062-core-rework-how-stream-volumes-affect-sink-volumes.patch
Patch63:        0063-core-util-ensure-that-we-chmod-only-the-dir-we-ours.patch
Url:            http://pulseaudio.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  alsa-devel
BuildRequires:  bluez-devel
BuildRequires:  doxygen
BuildRequires:  gconf2-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  jack-devel
BuildRequires:  libatomic-ops-devel
BuildRequires:  libavahi-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libtool
BuildRequires:  libtdb-devel
#our libtdb-devel does not have a .pc file
BuildRequires:  gdbm-devel
BuildRequires:  lirc-devel
BuildRequires:  libudev-devel >= 143
BuildRequires:  speex-devel
BuildRequires:  tcpd-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
PreReq:         pwdutils
Recommends:     alsa-plugins-pulse
Requires:       %{name}-lang = %{version}
Requires:       udev >= 146
Requires:       rtkit
Conflicts:      kernel < 2.6.31
Obsoletes:      libpulsecore9 <= 0.9.14
Obsoletes:      libpulsecore7 <= 0.9.12

%description
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package esound-compat
License:        GPLv2+ ; LGPLv2.1+
Summary:        ESOUND compatibility for PulseAudio
Group:          System/Sound Daemons
Requires:       %{name} = %{version}
Provides:       esound-daemon = 0.2.41
Obsoletes:      esound-daemon <= 0.2.38

%description esound-compat
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

This package provides the compatibility layer for drop-in replacement
of ESOUND.

%package module-lirc
License:        GPLv2+ ; LGPLv2.1+
Summary:        LIRC module for PulseAudio
Group:          System/Sound Daemons
Requires:       %{name} = %{version}

%description module-lirc
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package module-x11
License:        GPLv2+ ; LGPLv2.1+
Summary:        X11 module for PulseAudio
Group:          System/Sound Daemons
Requires:       %{name} = %{version}

%description module-x11
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package module-zeroconf
License:        GPLv2+ ; LGPLv2.1+
Summary:        Zeroconf module for PulseAudio
Group:          System/Sound Daemons
Requires:       %{name} = %{version}

%description module-zeroconf
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package module-jack
License:        GPLv2+ ; LGPLv2.1+
Summary:        JACK support for the PulseAudio sound server
Group:          System/Sound Daemons
Requires:       %{name} = %{version}

%description module-jack
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

This package includes support for Jack-based applications.

%package module-bluetooth
License:        GPLv2+ ; LGPLv2.1+
Summary:        Bluetooth support for the PulseAudio sound server
Group:          System/Sound Daemons
Requires:       %{name} = %{version}
Requires:       bluez >= 4.34

%description module-bluetooth
Contains Bluetooth audio (A2DP/HSP/HFP) support for the PulseAudio sound server.

%package module-gconf
License:        GPLv2+ ; LGPLv2.1+
Summary:        GCONF module for PulseAudio
Group:          System/Sound Daemons
Requires:       %{name} = %{version}

%description module-gconf
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package -n libpulse0
Summary:        Client interface to PulseAudio
License:        GPLv2+ ; LGPLv2.1+
Group:          System/Libraries
Provides:       pulseaudio-libs = %{version}-%{release}
Obsoletes:      pulseaudio-libs < %{version}

%description -n libpulse0
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

This package contains the system libraries for clients of pulseaudio
sound server.

%package -n libpulse-mainloop-glib0
Summary:        GLIB 2.0 Main Loop wrapper for PulseAudio
License:        GPLv2+ ; LGPLv2.1+
Group:          System/Sound Daemons
Provides:       pulseaudio-libs-glib2 = %{version}-%{release}
Obsoletes:      pulseaudio-libs-glib2 < %{version}

%description -n libpulse-mainloop-glib0
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package -n libpulse-browse0
Summary:        PulseAudio network browsing API
License:        GPLv2+ ; LGPLv2.1+
Group:          System/Sound Daemons
Provides:       pulseaudio-libs-zeroconf = %{version}-%{release}
Obsoletes:      pulseaudio-libs-zeroconf < %{version}

%description -n libpulse-browse0
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package -n libpulse-devel
Summary:        Development package for the pulseaudio library
License:        GPLv2+ ; LGPLv2.1+
Group:          Development/Libraries/C and C++
Requires:       libpulse0 = %{version}
Requires:       libpulse-mainloop-glib0 = %{version}
Requires:       libpulse-browse0 = %{version}
Requires:       pkgconfig glib2-devel
Provides:       pulseaudio-devel = %{version}-%{release}
Obsoletes:      pulseaudio-devel < %{version}

%description -n libpulse-devel
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

This package contains the files needed to compile programs that use the
pulseaudio library.

%package utils
Summary:        PulseAudio utilities
License:        GPLv2+ ; LGPLv2.1+
Group:          System/Sound Daemons
Requires:       %{name} = %{version}
Requires:       libpulse0 = %{version}
Requires:       libpulse-browse0 = %{version}
Requires:       libpulse-mainloop-glib0 = %{version}

%description utils
pulseaudio is a networked sound server for Linux and other Unix like
operating systems and Microsoft Windows. It is intended to be an
improved drop-in replacement for the Enlightened Sound Daemon (ESOUND).

%package gdm-hooks
Summary:        PulseAudio GDM integration
License:        GPLv2+ ; LGPLv2.1+
Group:          Applications/Multimedia
Requires:       %{name} = %{version}
Requires:       gdm >= 2.22
#for the gdm user
Requires(pre): gdm

%description gdm-hooks
This package contains GDM integration hooks for the PulseAudio sound server.

%lang_package
%prep
%setup -q -T -b0
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1

%build
autoreconf
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
# libpulse and libpulsecommon need each other - no way with as-needed
export SUSE_ASNEEDED=0
%configure \
        --disable-static \
        --disable-rpath \
        --with-system-user=pulse \
        --with-system-group=pulse \
        --with-access-group=pulse-access \
        --disable-hal
make %{?jobs:-j%jobs}
make doxygen

%install
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/pulse-%{drvver}/modules/*.la
# configure --disable-static had no effect; delete manually.
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
%suse_update_desktop_file pulseaudio
%find_lang %{name}
install %SOURCE2 $RPM_BUILD_ROOT%{_bindir}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/setup-pulseaudio
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/gdm/.pulse
cp $RPM_SOURCE_DIR/default.pa-for-gdm $RPM_BUILD_ROOT%{_localstatedir}/lib/gdm/.pulse/default.pa
ln -s esdcompat $RPM_BUILD_ROOT%{_bindir}/esd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
groupadd -r pulse &>/dev/null || :
useradd -r -c 'PulseAudio daemon' \
    -s /sbin/nologin -d /var/lib/pulseaudio -g pulse -G audio pulse &>/dev/null || :
groupadd -r pulse-access &>/dev/null || :

%post -n libpulse0 -p /sbin/ldconfig

%postun -n libpulse0 -p /sbin/ldconfig

%post -n libpulse-mainloop-glib0 -p /sbin/ldconfig

%postun -n libpulse-mainloop-glib0 -p /sbin/ldconfig

%post -n libpulse-browse0 -p /sbin/ldconfig

%postun -n libpulse-browse0 -p /sbin/ldconfig

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/pulseaudio-system.conf
%{_bindir}/pulseaudio
%{_bindir}/setup-pulseaudio
%dir %{_libdir}/pulse-%{drvver}/
%dir %{_libdir}/pulse-%{drvver}/modules/
%{_libdir}/libpulsecore-%{drvver}.so
%{_libdir}/libpulsedsp.so
%{_libdir}/pulse-%{drvver}/modules/libalsa-util.so
%{_libdir}/pulse-%{drvver}/modules/libcli.so
%{_libdir}/pulse-%{drvver}/modules/liboss-util.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{drvver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{drvver}/modules/librtp.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{drvver}/modules/module-alsa-card.so
%{_libdir}/pulse-%{drvver}/modules/module-always-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-cli.so
%{_libdir}/pulse-%{drvver}/modules/module-combine.so
%{_libdir}/pulse-%{drvver}/modules/module-device-manager.so
%{_libdir}/pulse-%{drvver}/modules/module-loopback.so
%{_libdir}/pulse-%{drvver}/modules/module-console-kit.so
%{_libdir}/pulse-%{drvver}/modules/module-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-device-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-hal-detect.so
%{_libdir}/pulse-%{drvver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-match.so
%{_libdir}/pulse-%{drvver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-null-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-oss.so
%{_libdir}/pulse-%{drvver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{drvver}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{drvver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{drvver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{drvver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{drvver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{drvver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{drvver}/modules/module-stream-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-card-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-sine.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{drvver}/modules/module-volume-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{drvver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{drvver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-remap-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-augment-properties.so
%{_libdir}/pulse-%{drvver}/modules/module-cork-music-on-phone.so
%{_libdir}/pulse-%{drvver}/modules/module-sine-source.so
%{_libdir}/pulse-%{drvver}/modules/module-intended-roles.so
%{_libdir}/pulse-%{drvver}/modules/module-rygel-media-server.so
%{_libdir}/pulse-%{drvver}/modules/module-udev-detect.so
%dir %{_datadir}/pulseaudio
%dir %{_datadir}/pulseaudio/alsa-mixer
%dir %{_datadir}/pulseaudio/alsa-mixer/paths
%dir %{_datadir}/pulseaudio/alsa-mixer/profile-sets
%{_datadir}/pulseaudio/alsa-mixer/paths/*
%{_datadir}/pulseaudio/alsa-mixer/profile-sets/*
%{_mandir}/man1/pulseaudio.1.gz
%{_mandir}/man5/default.pa.5.gz
%{_mandir}/man5/pulse-client.conf.5.gz
%{_mandir}/man5/pulse-daemon.conf.5.gz
/lib/udev/rules.d/90-pulseaudio.rules

%files esound-compat
%defattr(-,root,root)
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.gz

%files module-lirc
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-lirc.so

%files module-x11
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/pulseaudio.desktop
%{_sysconfdir}/xdg/autostart/pulseaudio-kde.desktop
%{_bindir}/start-pulseaudio-x11
%{_bindir}/start-pulseaudio-kde
%{_libdir}/pulse-%{drvver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-xsmp.so
%{_libdir}/pulse-%{drvver}/modules/module-x11-cork-request.so

%files module-zeroconf
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{drvver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{drvver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{drvver}/modules/libraop.so
%{_libdir}/pulse-%{drvver}/modules/module-raop-discover.so
%{_libdir}/pulse-%{drvver}/modules/module-raop-sink.so

%files module-jack
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{drvver}/modules/module-jack-source.so

%files module-bluetooth
%defattr(-,root,root)
%{_libdir}/pulse-%{drvver}/modules/libbluetooth-ipc.so
%{_libdir}/pulse-%{drvver}/modules/libbluetooth-sbc.so
%{_libdir}/pulse-%{drvver}/modules/libbluetooth-util.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-device.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{drvver}/modules/module-bluetooth-proximity.so
%attr(0755,root,root) %{_libexecdir}/pulse/proximity-helper

%files module-gconf
%defattr(-,root,root)
%dir %{_libexecdir}/pulse
%{_libdir}/pulse-%{drvver}/modules/module-gconf.so
%{_libexecdir}/pulse/gconf-helper

%files -n libpulse0
%defattr(-,root,root)
%doc README LICENSE GPL LGPL
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%{_libdir}/libpulse.so.*
%{_libdir}/libpulsecommon-%{drvver}.so
%{_libdir}/libpulse-simple.so.*

%files -n libpulse-mainloop-glib0
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.*

%files -n libpulse-browse0
%defattr(-,root,root)
%{_bindir}/pabrowse
%{_libdir}/libpulse-browse.so.*

%files -n libpulse-devel
%defattr(-,root,root)
%doc doxygen/html
%{_includedir}/pulse/
%{_libdir}/libpulse.so
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%{_libdir}/libpulse-browse.so
%{_libdir}/pkgconfig/libpulse*.pc
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libpulse.vapi

%files utils
%defattr(-,root,root)
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/pamon
%{_bindir}/parecord
%{_bindir}/pax11publish
%{_bindir}/padsp
%{_bindir}/pasuspender
%{_mandir}/man1/pabrowse.1.gz
%{_mandir}/man1/pacat.1.gz
%{_mandir}/man1/pacmd.1.gz
%{_mandir}/man1/pactl.1.gz
%{_mandir}/man1/paplay.1.gz
%{_mandir}/man1/pasuspender.1.gz
%{_mandir}/man1/padsp.1.gz
%{_mandir}/man1/pax11publish.1.gz

%files gdm-hooks
%defattr(-,root,root)
%dir %{_localstatedir}/lib/gdm
%attr(0700, gdm, gdm) %dir %{_localstatedir}/lib/gdm/.pulse
%attr(0600, gdm, gdm) %{_localstatedir}/lib/gdm/.pulse/default.pa

%files lang -f %{name}.lang

%changelog
* Mon Mar  8 2010 sreeves@novell.com
- Add 0063-core-util-ensure-that-we-chmod-only-the-dir-we-ours.patch
    Fix bnc#584938 - chmod only the dir we ourselves created.
* Mon Mar  1 2010 sreeves@novell.com
- Add another set of patches backported from upstream git
    [0033 - 0062].patch
    Fixes for latency settings, cpu utilization, stuck playback,...
* Tue Jan 19 2010 sreeves@novell.com
- Add set of patches backported from upstream git
    [0001 - 0032].patch
- Remove pulseaudio-ticket738-mark-shared-vars-as-volatile.patch
    Included in set of patches above
* Mon Jan 11 2010 sreeves@novell.com
- Add pulseaudio-ticket738-mark-shared-vars-as-volatile.patch
- Move start-pulseaudio-kde to pulseaudio-module-x11. Match upstream
- Modify disabled-start.diff
    Add check for pulseaudio_enable in start-pulseaudio-kde
* Fri Dec 18 2009 jengelh@medozas.de
- Add baselibs.conf as a source
* Thu Dec  3 2009 dimstar@opensuse.org
- Update to version 0.9.21:
  + Bugfix update - see ChangeLog for full details.
* Tue Nov  3 2009 sreeves@novell.com
- Fix mplayer section of setup-pulseaudio. bnc#547384
* Thu Oct 29 2009 lnussel@suse.de
- clean up and fix setup-pulseaudio to not corrupt /etc/environment
  (bnc#547384)
* Tue Oct  6 2009 sreeves@novell.com
- Update to 0.9.19
    Bugfix update - see Changelog for full details
* Mon Sep 28 2009 llunak@novell.com
- make 'setup-pulseaudio --disable' actually really disable PA (bnc#537780)
* Thu Sep 24 2009 sreeves@novell.com
- Update to 0.9.18
    Bugfix update - see Changelog for full details
    Translation update.
* Fri Sep 18 2009 sreeves@novell.com
- Update to 0.9.17
  Fix tsched usage that was broken in 0.9.16
* Thu Sep 10 2009 sreeves@novell.com
- Update to 0.9.16
  Please see Changelog for full details
* Mon Sep  7 2009 coolo@novell.com
- do not require a kernel, self compiled kernels will work with
  pulseaudio too. Conflict with old kernels instead
* Wed Sep  2 2009 sreeves@novell.com
- Update to version 0.9.16-test7
  Please see Changelog for full details
- Remove uneeded patches (functionality  already in 0.9.16)
    set of recommended backported patches (00*.patch)
    pulseaudio-am111.patch
    pulseaudio-bnc480113-default-sink.patch
- Remove pulseaudio-work-with-old-alsa.patch
- Add package pulseaudio-gdm-hooks
* Mon Aug 24 2009 coolo@novell.com
- provide new esound-daemon, but only obsolete old versions (of < 11.1)
  fix for bnc#532838
* Thu Jul 30 2009 sbrabec@suse.cz
- pulseaudio-utils have no use without pulseaudio, add Requires.
* Tue Jul 21 2009 sreeves@novell.com
- Add a set of recommended backported patches from git master
* Mon Jul 20 2009 dominique-obs@leuenberger.net
- Fix remainings to follow %%%%{_libexecdir} change
* Fri Jul 17 2009 coolo@novell.com
- build with automake 1.11
* Fri Jul 17 2009 coolo@novell.com
- disable as-needed to fix build
* Fri Jul 17 2009 coolo@novell.com
- udev-extras is dropped again
* Tue May 12 2009 sreeves@novell.com
- Packaging changes:
  + add udev-extras to buildRequires
  + Only require alsa 1.0.18 as that version is patched on
    11.1 to have needed functionality of 1.0.19
    (pulseaudio-work-with-old-alsa.patch)
* Thu Apr 30 2009 sbrabec@suse.cz
- Don't call autoreconf in older products.
- Don't try to package PolicyKit files in older products.
* Fri Apr 24 2009 sreeves@novell.com
- Update to version 0.9.15:
  Please see Changelog for full details
- Add more checks for "Digital" output for choosing default sink
  (pulseaudio-bnc480113-default-sink.patch)
- Drop pulseaudio-defaults-daemon-conf.patch: use upstream defaults
  for default-fragments* in daemon.conf
- Packaging changes:
  + Move libpulsecore into main rpm as it's an internal only
    library
  + Remove unused old replacment for default.pa
  + Move start-pulseaudio-x11 into pulseaudio-module-x11 package
* Wed Mar 25 2009 sreeves@suse.de
- Fix for bnc#480113 - default sink
- Fix for bnc#456802 - logging out of control
* Thu Feb 26 2009 sreeves@suse.de
- Fix for bnc#464994 - error messages when using pulse
- Fix for bnc#461361 - sound crackles
- Fix for bnc#469886 - HDMI sound is muted
* Tue Feb 10 2009 vuntz@novell.com
- Update Provides/Obsoletes version for esound-daemon.
* Sat Jan 24 2009 vuntz@novell.com
- Rename libpulse8 to libpulse9 because of soname change, to fix
  the build.
- Add a lang package.
- Use %%suse_update_desktop_file for pulseaudio.desktop.
* Fri Jan 23 2009 rodrigo@novell.com
- Remove perl-XML-Parser from BuildRequires
* Thu Jan 15 2009 rodrigo@novell.com
- Update to version 0.9.14:
  + All bug fixes included in the 0.9.13 Fedora package
- Depend on libavahi-devel
* Thu Jan  1 2009 mboman@suse.de
- Update to version 0.9.13:
  + Too many fixes/update to list. Please see Changelog for full details
- Remove pulseaudio-dot-pulse.patch. Fixed upstream
- Remove pulseaudio-allow-in-sample-names.patch. Fixed upstream
- Remove pulseaudio-asserts.patch. Fixed upstream
* Thu Dec  4 2008 rodrigo@novell.com
- Renamed libpulsecore4 to libpulsecore7 to match so version
  (bnc#456053)
* Mon Nov 24 2008 rodrigo@novell.com
- Use /etc/alsa-pulse.conf for ALSA when enabling PulseAudio, as we
  already do in GNOME, instead of touching /etc/alsa.conf
- Don't run the script if user is not root (bnc#445997)
* Wed Nov 19 2008 rodrigo@novell.com
- Some fixes in setup-pulseaudio script (bnc#445015)
* Wed Nov 19 2008 rodrigo@novell.com
- Add upstream patch for bnc#443510
* Tue Nov 11 2008 rodrigo@novell.com
- Add upstream patch for bnc#439054
* Mon Oct 27 2008 rodrigo@novell.com
- Fixed some bugs in setup-pulseaudio script (bnc#425475)
* Wed Oct 15 2008 maw@novell.com
- Run autoreconf.
* Sat Sep 20 2008 rodrigo@suse.de
- Added pulseaudio-dot-pulse.patch from upstream to fix broken
  ~/.pulse directory creation (bnc#427859)
- Added setup-pulseaudio script (bnc#425475)
* Tue Sep 16 2008 kukuk@suse.de
- Only include locales, no directories
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Thu Sep 11 2008 rodrigo@suse.de
- Added unpackaged files.
- Removed non exiting files.
* Thu Sep 11 2008 rodrigo@suse.de
- Added missing dependency on intltool
- Removed unneeded patch
- Update to 0.9.12 version:
  + If a mixer device only supports a limited dB range, extend it in
    software
  + Reworked state/runtime directory selection
  + A few inner loops have been optimized
  + The PA native protocol may now be extended by modules
  + A new module module-stream-restore with a client interface, which
    is intended to replace module-volume-restore (which however will
    stay around for compatibility with old configurations)
  + Allow global glitch-free mode setting in module-hal ("tsched=")
  + Internationalization
  + Rewritten autospawning logic
  + A lot of bugfixes, other improvements
* Sun Aug 17 2008 ro@suse.de
- change version number for esound-daemon provides to current
  esound version
* Mon Aug 11 2008 rodrigo@suse.de
- Change Obsoletes and Provides from esound to esound-daemon, which
  is the new package containing the Esound daemon
* Wed Jul 16 2008 rodrigo@suse.de
- Update to 0.9.11-RC version:
  + Much better sound latency implementation (glitch-free)
  + New driven main loop
  + Additional stream attributes for libcanberra
- Added new BuildRequires
- Added new modules to list of installed files
* Fri Jun 27 2008 maw@suse.de
- Own some directories so that builds succeed.
* Tue Jun 24 2008 rodrigo@suse.de
- Added .desktop file for autostarting under GNOME (bnc#387052)
* Sat May 31 2008 rodrigo@suse.de
- Don't require alsa-plugins-pulse, just Recommend it (bnc#394177)
* Mon May 26 2008 rodrigo@suse.de
- Depend on alsa-plugins-pulse to have ALSA-based applications
  work out of the box with PulseAudio (bnc#394177)
* Fri May 23 2008 jpr@suse.de
- Generate 32bit libraries (bnc #338269)
* Mon May 19 2008 rodrigo@suse.de
- Removed pulseaudio-use-correct-socket-for-esd-375701.patch,
  which conflicts with esound patch (bnc#391864)
* Mon May 12 2008 rodrigo@suse.de
- Added pulseaudio-defaults-daemon-conf.patch to set default
  values for better performance (bnc#381686)
* Tue May  6 2008 rodrigo@suse.de
- Added pulseaudio-use-correct-socket-for-esd-375701.patch to
  use correct esound socket (bnc375701)
* Wed Apr  9 2008 maw@suse.de
- Update to version 0.9.10:
  + Better compatibility in padsp with certain programs which like
    to pass NULL strings to libc functions
  + Properly create ~/.pulse before using it
  + Multiarch fixes
  + Update module-tunnel for protocol version 12
  + Update Speex resampler
  + Native ARM atomic operations support
  + Update of the PolicyKit interface
  + Compatibility with libtool 2.2
  + LADSPA interfacing fixes
  + Make per-user esd socket compile time configurable
  + Many other bug fixes and updates
- Drop pulseaudio-0.9.8-fix-sample-upload.patch
- Add pulseaudio-declarations.patch.
* Fri Apr  4 2008 rodrigo@suse.de
- Added Obsoletes and Provides to esound-compat package to fix
  dependencies on esound
* Wed Mar 12 2008 rodrigo@suse.de
- Review and merge changes from public build service into FACTORY.
* Sun Mar  9 2008 cyberorg@cyberorg.info
- Update to 0.9.9
- The only change from 0.9.8 is a fix for CVE-2008-0008
- Need to add pulse user to audio group too
* Fri Jan 25 2008 rodrigo@suse.de
- Removed empty patch file
- Disabled setuid binaries
* Thu Jan 24 2008 rodrigo@suse.de
- Don't use our own default configuration, use upstream one. This
  should give us support for all devices detected by HAL.
* Wed Jan 23 2008 rodrigo@suse.de
- Reviewed changes from cyberorg@cyberorg.info submitted to
  home:rodrigomoya:pulseaudio BS service.
* Thu Jan 10 2008 cyberorg@cyberorg.info
- Update to 0.9.8
  * Man pages
  * Make real-time priority and nice level configurable
  * Support acquiring priviliges for high-priority and real-time scheduling
    via PolicyKit
  * Support S32 samples natively
  * Rework ALSA surround sound configuration completely
  * Automatic upmixing/downmixing
  * Add a couple of new directives to libpulse: add flag to allow fixing the
    sample specs to the ones that are native to the sink/source a stream is
    connected to; Change the sample rate, buffering attributes during runtime;
    allow notification on device suspend/resume and moving of streams between
    devices
  * Check process name when dealing with PID files
  * Allow configuratin of RLIMIT_RTPRIO, RLIMIT_NICE
  * Add bluetooth proximity module. Just pair your phone and have PA turn down
    the volume when you leave with your phone and turn it up again if you come back.
- Enable bluetooth
- Enable Jack
- Add policykit
- Add many man pages
- Enable tcpd
* Wed Jan  9 2008 rodrigo@suse.de
- Renamed libs packages to follow shared lib policy
- Added better descriptions for subpackages
- Use tar.bz2 instead of tar.gz
- Fixed unversioned self-provides and obsoletes
- Use update-desktop-files for .desktop file
- PreRequire pwdutils for groupadd/del
- Moved libpulsedsp.so to libpusecore4 to avoid rpmlint errors
* Tue Jan  8 2008 rodrigo@suse.de
- Don't remove users/groups on %%postun
* Tue Jan  8 2008 rodrigo@suse.de
- Removed 'rm -rf $RPM_BUILD_ROOT' from %%install
* Mon Dec 24 2007 rodrigo@suse.de
- Use /var/lib/pulseaudio as home dir for pulseaudio user.
* Tue Dec 11 2007 rodrigo@suse.de
- Removed special permissions for pulseaudio binary to make it
  buildable until the permissions thing is solved.
* Tue Dec 11 2007 rodrigo@suse.de
- Merged with package from home:rodrigomoya:pulseaudio BS project.
* Thu Nov 22 2007 cyberorg@cyberorg.info
- Remove Provides and Obsoletes from esound compat package
* Wed Nov 21 2007 cyberorg@cyberorg.info
- Restructured spec file to build more subpackages, like in Fedora 8.
* Wed Oct 31 2007 tiwai@suse.de
- updated to version 0.9.7:
  * New threaded lock-free (mostly at least) core
  * New module for automatic discovery of zeroconf audio devices
  * Reworked JACK module for better real-time compatibility
  * PA now suspends access to all audio devices if idle
  * module-combine is now beefedup to automatically pick up local hw devices
  * make use of gcc intrinsics for atomic ops, byteswap, tls, where possible
  * use speex resampler by default
  * use mmap access by default for ALSA devices
  * fold OSS mmap driver into normal OSS driver
  * add LADSPA plugin
  * add plugin for splitting or remapping channel maps
  * Use Linux eventfd() if available, instead of hacks around FIFOs
  * make use of PTHREAD_PRIO_INHERIT for some mutexes, wher it makes sense
  * cleanup dead SHM frags from /dev/shm, where applicable
  * automatically store/restore default audio device
  * add new tool pasuspender tool
  * X11 session management support
  * allow global configuration for fragment settings/sizes
  * PA (if HAL is enabled) now ignores modem sound devices by default
  * Lots of bug fixes and other improvements
* Thu Oct 11 2007 sbrabec@suse.cz
- Use binding specific avahi package.
* Tue Jun 19 2007 tiwai@suse.de
- fixed default.pa (typo of rtp.monitor).
* Tue Jun 12 2007 tiwai@suse.de
- disable flist-test that doesn't pass with ppc (libatomic-ops
  problem)
* Fri Jun  8 2007 tiwai@suse.de
- updated to version 0.9.6:
  * bugfixes, including previous patches
  * use lock-free algorith with libatomic-ops
- add avahi-devel, xorg-x11-devel, glib2-devel and hal-devel to
  buildrequires
- prefer Master volume to PCM volume
* Tue May 29 2007 tiwai@suse.de
- fix possible remote DoS (#260326)
- fix wrong endian conversion of float data
- add a workaround for firefox with LD_PRELOAD wrapper
- add the missing support of ioctls for JavaSound
- increase ESD max samplesize
* Tue Apr 24 2007 tiwai@suse.de
- disable static library, don't use ltdl install
- fix requires of devel package
- fix post and postun
- build documents via doxygen
- fix suspend/resume with alsa backend
- fix the frame size handling in alsa backend
- fix possible NULL dereference
* Sun Oct 15 2006 schwab@suse.de
- Make sure config.rpath is present.
* Wed Sep  6 2006 tiwai@suse.de
- updated to version 0.9.5:
  * add module-hal-detect module
  * shared memory transfer method for local clients
  * update module-volume-restore to automatically restore the output device
  * add a new module module-rescue-streams
  * add support for moving streams "hot" between sinks/sources
  * reduce memory consumption and CPU load
  * add new module module-gconf for reading additional configuration
  * fix module-tunnel to work with the latest protocol
  * miscellaneous fixes
* Thu Aug 17 2006 tiwai@suse.de
- move libpulsedsp.so to the main package from devel sub package
  (#199735).
* Mon Jul 31 2006 tiwai@suse.de
- updated to version 0.9.4:
  * support for system-wide pulseaudio daemon.
  * add authentication by IP address range ACL (auth-ip-acl=)
  * support to set resource limits on platforms
  * remove loopback= argument for module-*-protocol-tcp
  * remove obsolete GLIB event loop adapter
  * add an API to check whether a source/sink is hardware or virtual
  * remove warning about SIGPIPE in client apps
  * improve latency calculation of NULL sink
  * port Zeroconf code from the HOWL API to the native Avahi API
  * fix broken time event handling in GLIB
  * Some valgrind/massif fixes
  * Fix pkg-config files for AMD64
* Wed Jul 12 2006 tiwai@suse.de
- renamed from polypaudio to pulseaudio (the project name was
  changed)
- update to version 0.9.2:
  * increase maximum number of concurrent connections
  * fix latency interpolation
  * add support for reverse endian sound cards
  * add support for recording in padsp
  * reenable CPU load limiter
  * other bugfixes
